corz.org text viewer..
[currently viewing: /public/linux/usr/local/bin/corz-chmodcomments.sh - raw]
#!/bin/bash
# last updated Friday May 17, 2013
#
# set permissions on all site comments files..

# get host name..
if [ -z $1 ]; then
    echo
    echo "Please supply a domain name on the command-line. e.g.."
    echo
    echo "$0 foobar.net"
    echo
    echo "grabcomments will then use settings file: ~/.sftp/foobar.net"
    echo
    exit 1
fi

# grab settings..
. ~/.sftp/$1

echo "comment chmod script.."
#/usr/local/bin/ini-parse-keys $inifile

echo "Performing sftp operations for $user@$host.."
sftp -b "/usr/local/bin/$host/chmodcomments" $user@$host
rc=$?
if [ $rc != 0 ] ; then
    echo "**WARNING** chmodcomments sftp for $host returned an error: $rc"
     echo "**WARNING** chmodcomments sftp for $host returned an error: $rc"|mailx -s "Error in up chmodcomments sftp!" postmaster
    exit $rc
fi

echo "Setting local comment file permissions.."
for i in $( find $home -name "*.comment" ); do chmod 777 $i; done
now=`date "+%Y.%m.%d-%H.%M"`

command -v fortune >/dev/null 2>&1 || { echo "Oooh! That Feels Good!"; exit 0; }
fortune

echo "chmodcomments for $host complete at $now"
exit 0

Welcome to corz.org!

If something isn't working, I'm probably improving it, try again in a minute. If it's still not working, please mail me!